Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.reflect
Class LazyType<T>

    java.lang.Object
      de.grogra.reflect.MemberDecorator
          de.grogra.reflect.TypeDecorator<T>
              de.grogra.reflect.LazyType<T>

All Implemented Interfaces:
  Member, Type<T>

    public class LazyType<T>

extends TypeDecorator<T>

Field Summary

Fields inherited from interface de.grogra.reflect.Type
`BOOLEAN, BYTE, CHAR, CLASS, DOUBLE, FLOAT, FLOATING_POINT, INT, INTEGRAL, INVALID, LOCAL_CLASS_MODIFIERS, LONG, MEMBER_CLASS_MODIFIERS, MEMBER_INTERFACE_MODIFIERS, NULL, NUMBER, NUMERIC, OBJECT, SHORT, STRING, TEXTAREA, TOP_LEVEL_CLASS_MODIFIERS, TOP_LEVEL_INTERFACE_MODIFIERS, TYPE, TYPE_0, VOID`

Fields inherited from interface de.grogra.reflect.Member
`ABSTRACT, ACCESS_MODIFIERS, ARRAY, BRIDGE, CONSTANT, FINAL, INTERFACE, JAVA_MODIFIERS, LOCAL_CLASS, MIN_UNUSED_MODIFIER, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICT, SYNCHRONIZED, SYNTHETIC, TRANSIENT, VARARGS, VOLATILE`

Constructor Summary
`LazyType(java.lang.String binaryName, java.lang.ClassLoader loader)`
`LazyType(java.lang.String binaryName, TypeLoader loader)`

Method Summary
`java.lang.String` | `getBinaryName()`
`Member` | `getDecoratedMember()`
`java.lang.String` | `getDescriptor()` Returns a descriptor for this member.

Methods inherited from class de.grogra.reflect.TypeDecorator
`cloneObject, createArray, getArrayType, getComponentType, getDeclaredField, getDeclaredFieldCount, getDeclaredInterface, getDeclaredInterfaceCount, getDeclaredMethod, getDeclaredMethodCount, getDeclaredType, getDeclaredTypeCount, getDefaultElementValue, getImplementationClass, getLookup, getPackage, getSupertype, getTypeId, getTypeLoader, isInstance, isStringSerializable, newInstance, toString, undecorate, valueOf`

Methods inherited from class de.grogra.reflect.MemberDecorator
`getDeclaredAnnotation, getDeclaredAnnotationCount, getDeclaringType, getModifiers, getName, getSimpleName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.reflect.Member
`getDeclaredAnnotation, getDeclaredAnnotationCount, getDeclaringType, getModifiers, getName, getSimpleName`

Constructor Detail

### LazyType

    public LazyType(java.lang.String binaryName,
                    java.lang.ClassLoader loader)

### LazyType

    public LazyType(java.lang.String binaryName,
                    TypeLoader loader)

Method Detail

### getBinaryName

    public java.lang.String getBinaryName()

  Specified by:
    `getBinaryName` in interface `Type<T>`
  Overrides:
    `getBinaryName` in class `TypeDecorator<T>`

### getDecoratedMember

    public Member getDecoratedMember()

  Overrides:
    `getDecoratedMember` in class `MemberDecorator`

### getDescriptor

    public java.lang.String getDescriptor()

  Description copied from interface: `Member`
  Returns a descriptor for this member. Descriptors are constructed as follows:
  - For types, descriptors are defined as for the Java Virtual Machine. For primitive types these are the single characters 'Z', 'B', 'S', 'C', 'I', 'J', 'F', 'D', 'V' for `boolean`, `byte`, `short`, `char`, `int`, `long`, `float`, `double`, `void`. For array types, the descriptor is the character '[' plus the descriptor of its component type, e.g., `[[I` for `int[][]`. For non-array reference types, the descriptor is the character 'L', followed by the binary name (see `Type.getBinaryName()`) of the type, where '.' has to be replaced by '/', followed by ';', e.g., `Ljava/lang/Object;`.
  - For fields, the descriptor is the character 'f', followed by the simple name of the field, followed by the character ';', followed by the descriptor of the field's type. E.g., `fout;Ljava/io/PrintStream;` for the field `System.out`.
  - For methods and constructors, the descriptor is the character 'm', followed by the simple name of the method (which is `<init>` for constructors), followed by the characters ';' and '(', followed by the descriptors of the method's parameter types, followed by ')', followed by the descriptor of the return type. E.g. `mprintln;(Ljava/lang/String;)V` for the method `PrintStream.println(String)`.

  Specified by:
    `getDescriptor` in interface `Member`
  Overrides:
    `getDescriptor` in class `MemberDecorator`
  Returns:
    the member's descriptor

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD